1-Click PPA API

GET /v1/rfqs

Die Anfragen des angemeldeten Unternehmens auflisten, die neueste zuerst. Erforderlicher Scope: rfq:read

Als Markdown anzeigen

Freischaltung erforderlich

Diese API muss für Ihr Konto explizit freigeschaltet werden. Wenden Sie sich dazu an den Support.
GET
/v1/rfqs
X-Api-Key<token>

In: header

Query Parameters

status?string

Nach Anfragestatus filtern

Value in"scheduled" | "active" | "accepted" | "expired" | "cancelled"
energy_source?string

Nach Energieträger filtern

Value in"solar" | "wind"
limit?integer

Höchstzahl der Einträge pro Seite

Default10
Range1 <= value <= 100
after?string

Cursor für die nächste Seite — den Wert next_cursor aus der vorherigen Antwort übergeben

Response Body

curl -X GET "https://api.otark.com/v1/rfqs?status=scheduled&energy_source=solar&limit=10&after=cpt_a1b2c3d4"
{
  "rfqs": [
    {
      "id": "rfq_h7t2m9c4",
      "status": "active",
      "energy_source": "solar",
      "reference_index": "ENWEX Solar DE",
      "delivery_period": {
        "id": "2026-Q3",
        "type": "quarter",
        "display_name": "Q3 2026",
        "delivery_start": "2026-07-01",
        "delivery_end": "2026-09-30"
      },
      "nominal_power": 10,
      "max_nominal_power_deviation": 10,
      "granular_certificates": true,
      "estimated_delivery_volume": 4300,
      "quoting_window_minutes": 480,
      "publication": "2026-05-12T07:00:00Z",
      "expires_at": "2026-05-12T15:00:00Z",
      "recipients": [
        {
          "company_id": "cmp_7d3f9k2a",
          "company_name": "Solar Nord",
          "type": "binding",
          "status": "quoted",
          "decline_reason": null
        }
      ],
      "accepted_quote_id": null,
      "contract_number": null,
      "created_at": "2026-05-12T07:00:00Z"
    }
  ],
  "pagination": {
    "limit": 10,
    "has_more": true,
    "next_cursor": "rfq_k8m2p4q7"
  }
}

{
  "type": "https://api.otark.com/errors/validation",
  "title": "Validierung fehlgeschlagen",
  "status": 400,
  "instance": "/v1/rfqs",
  "errors": [
    {
      "field": "nominal_power",
      "code": "value_too_small",
      "message": "Nominal power must be at least 1 MW"
    }
  ]
}

{
  "type": "https://api.otark.com/errors/invalid_api_key",
  "title": "Ungültiger API-Schlüssel",
  "status": 401
}

{
  "type": "https://api.otark.com/errors/insufficient_scopes",
  "title": "Unzureichende Scopes des API-Schlüssels",
  "status": 403,
  "detail": "Missing scope: rfq:write. Please create a new API key with the required scopes."
}